Package jebl.evolution.align.scores

# Class ScoresFactory

java.lang.Object
jebl.evolution.align.scores.ScoresFactory

public class ScoresFactory extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final AminoAcidScores`
`AMINO_ACID_IDENTITY`
`static final Blosum45`
`BLOSUM_45`
`static final Blosum50`
`BLOSUM_50`
`static final Blosum55`
`BLOSUM_55`
`static final Blosum60`
`BLOSUM_60`
`static final Blosum62`
`BLOSUM_62`
`static final Blosum65`
`BLOSUM_65`
`static final Blosum70`
`BLOSUM_70`
`static final Blosum75`
`BLOSUM_75`
`static final Blosum80`
`BLOSUM_80`
`static final Blosum85`
`BLOSUM_85`
`static final Blosum90`
`BLOSUM_90`
`static final NucleotideScores`
`NUCLEOTIDE_51_PERCENT_SIMILARITY`
`static final NucleotideScores`
`NUCLEOTIDE_65_PERCENT_SIMILARITY`
`static final NucleotideScores`
`NUCLEOTIDE_70_PERCENT_SIMILARITY`
`static final NucleotideScores`
`NUCLEOTIDE_93_PERCENT_SIMILARITY`
`static final Pam100`
`PAM_100`
`static final Pam110`
`PAM_110`
`static final Pam120`
`PAM_120`
`static final Pam130`
`PAM_130`
`static final Pam140`
`PAM_140`
`static final Pam150`
`PAM_150`
`static final Pam160`
`PAM_160`
`static final Pam170`
`PAM_170`
`static final Pam180`
`PAM_180`
`static final Pam190`
`PAM_190`
`static final Pam200`
`PAM_200`
`static final Pam210`
`PAM_210`
`static final Pam220`
`PAM_220`
`static final Pam230`
`PAM_230`
`static final Pam240`
`PAM_240`
`static final Pam250`
`PAM_250`

## Constructor Summary

Constructors
Constructor
Description
`ScoresFactory()`

## Method Summary

Modifier and Type
Method
Description
`static Scores`
`generateScores(String nameVal)`
For any matrix.
`static Scores`
`generateScores(String name, float val)`
For calculated nucleotide matrices.
`static Scores`
`generateScores(String name, int val)`
For Blosum and Pam matrices
`static AminoAcidScores[]`
`getAvailableAminoAcidScores()`
`static NucleotideScores[]`
`getAvailableNucleotideScores()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### BLOSUM_45

public static final Blosum45 BLOSUM_45

### BLOSUM_50

public static final Blosum50 BLOSUM_50

### BLOSUM_55

public static final Blosum55 BLOSUM_55

### BLOSUM_60

public static final Blosum60 BLOSUM_60

### BLOSUM_62

public static final Blosum62 BLOSUM_62

### BLOSUM_65

public static final Blosum65 BLOSUM_65

### BLOSUM_70

public static final Blosum70 BLOSUM_70

### BLOSUM_75

public static final Blosum75 BLOSUM_75

### BLOSUM_80

public static final Blosum80 BLOSUM_80

### BLOSUM_85

public static final Blosum85 BLOSUM_85

### BLOSUM_90

public static final Blosum90 BLOSUM_90

### PAM_100

public static final Pam100 PAM_100

### PAM_110

public static final Pam110 PAM_110

### PAM_120

public static final Pam120 PAM_120

### PAM_130

public static final Pam130 PAM_130

### PAM_140

public static final Pam140 PAM_140

### PAM_150

public static final Pam150 PAM_150

### PAM_160

public static final Pam160 PAM_160

### PAM_170

public static final Pam170 PAM_170

### PAM_180

public static final Pam180 PAM_180

### PAM_190

public static final Pam190 PAM_190

### PAM_200

public static final Pam200 PAM_200

### PAM_210

public static final Pam210 PAM_210

### PAM_220

public static final Pam220 PAM_220

### PAM_230

public static final Pam230 PAM_230

### PAM_240

public static final Pam240 PAM_240

### PAM_250

public static final Pam250 PAM_250

### AMINO_ACID_IDENTITY

public static final AminoAcidScores AMINO_ACID_IDENTITY

### NUCLEOTIDE_51_PERCENT_SIMILARITY

public static final NucleotideScores NUCLEOTIDE_51_PERCENT_SIMILARITY

### NUCLEOTIDE_65_PERCENT_SIMILARITY

public static final NucleotideScores NUCLEOTIDE_65_PERCENT_SIMILARITY

### NUCLEOTIDE_70_PERCENT_SIMILARITY

public static final NucleotideScores NUCLEOTIDE_70_PERCENT_SIMILARITY

### NUCLEOTIDE_93_PERCENT_SIMILARITY

public static final NucleotideScores NUCLEOTIDE_93_PERCENT_SIMILARITY

## Constructor Details

### ScoresFactory

public ScoresFactory()

## Method Details

### generateScores

public static Scores generateScores(String nameVal)
For any matrix.

Parameters:
  `nameVal` - name and value of the matrix in String form. (eg Blosum45).
Returns:
  substitution matrix of given name.

### generateScores

public static Scores generateScores(String name, int val)
For Blosum and Pam matrices

Parameters:
  `name` - "Blosum" or "Pam"
  `val` - currently 45 - 90 or 100 - 250
Returns:
  substitution matrix given by name and val.

### generateScores

public static Scores generateScores(String name, float val)
For calculated nucleotide matrices.

Parameters:
  `name` - Currently only JukesCantor
  `val` - val used to calculate matrix. eg. evolutionary distance d.
Returns:
  substitution matrix calculated using val.

### getAvailableAminoAcidScores

public static AminoAcidScores[] getAvailableAminoAcidScores()

### getAvailableNucleotideScores

public static NucleotideScores[] getAvailableNucleotideScores()